- Qt 6.8
- All QML Value Types
- Qt 6.8.0 Reference Documentation

# All QML Value Types

This is a list of all QML value types. The following pages contain different API listings in different categories:

- All QML Types
- All QML APIs by Module
- Obsolete QML Types
- New Classes and Functions

For more reference pages including C++ APIs, visit Qt Reference Pages.

A B C D E F G I L M P Q R S U V

A
  audioDevice

B
  bool
  bounds

C
  cameraCapabilities
  cameraDevice
  cameraFormat
  CapturableWindow
  color
  contactDetail
  coordinate

D
  date
  double

E
  enumeration

F
  font

G
  geocircle
  geopath
  geopolygon
  georectangle
  geoSatelliteInfo
  geoshape
  graphsline

I
  icon
  int

L
  list

M
  matrix4x4
  mediaFormat
  mediaMetaData

P
  pickResult
  placeAttribute
  point

Q
  quaternion

R
  ratings
  real
  rect
  route

S
  size
  string
  supplier

U
  url
  user

V
  var
  variant
  vector2d
  vector3d
  vector4d
  void